#
# spec file for package ghc-gnutls
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name gnutls
Name:           ghc-%{pkg_name}
Version:        0.2
Release:        1.1
Summary:        Bindings for GNU libgnutls
License:        GPL-3.0+
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-monads-tf-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(gnutls)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
You almost certainly don't want to depend on this release.

This is a pre-alpha, almost useless release; its only purpose is to enable TLS
support in some of my other libraries. More complete bindings for GNU TLS will
be released at a later date.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
# Begin cabal-rpm deps:
Requires:       pkgconfig(gnutls)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}


%build
%{ghc_lib_build}


%install
%{ghc_lib_install}


%post devel
%{ghc_pkg_recache}


%postun devel
%{ghc_pkg_recache}


%files -f %{name}.files
%defattr(-,root,root,-)
%doc license.txt

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Mon Feb 22 2016 psimons@suse.com
- initial version gnutls-0.2
